DKBSignDocs

API reference

POSTRequires Bearer token

Save the model graph

/api/workflows/models/{model}/steps/configs/create

Finalizes the model (completed). Unidirectional steps need next_step_id. Conditional steps need yes_next_step_id and no_next_step_id. 403 MODEL_LIMIT_REACHED with limit / used when the company has too many ready models.

Path parameters

FieldTypeDescription
model
Required
stringPath parameter model.

Query parameters

This endpoint has no query parameters.

Request body

FieldTypeDescription
steps
Required
arrayGraph edges.
e.g. [{"source_step_id":1,"type":"unidirectionnel","next_step_id":2}]

Responses

StatusMeaning
201Graph saved
401Missing or invalid Bearer token.

Request

curl
curl -X POST 'https://api.dkbsigns.com/api/workflows/models/model/steps/configs/create' \
  -H 'Authorization: Bearer $DKBSIGN_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"steps":[{"source_step_id":1,"type":"unidirectionnel","next_step_id":2}]}'

Response 201

json
{
  "message": "Les étapes du workflow ont été sauvegardées avec succès.",
  "workflowModel": {
    "id": 3,
    "status": "completed"
  }
}